Loading...
Searching...
No Matches
casacore::MSSpectralWindowEnums Class Reference
ms package (libcasa_ms) » MeasurementSets_module

Enums for the MeasurementSet SPECTRAL_WINDOW table. More...

`#include <MSSpWindowEnums.h>`

## Public Types

enum | PredefinedColumns { UNDEFINED_COLUMN , CHAN_FREQ , CHAN_WIDTH , EFFECTIVE_BW , FLAG_ROW , FREQ_GROUP , FREQ_GROUP_NAME , IF_CONV_CHAIN , MEAS_FREQ_REF , NAME , NET_SIDEBAND , NUM_CHAN , REF_FREQUENCY , RESOLUTION , TOTAL_BANDWIDTH , NUMBER_REQUIRED_COLUMNS , ASSOC_NATURE , ASSOC_SPW_ID , BBC_NO , BBC_SIDEBAND , DOPPLER_ID , RECEIVER_ID , NUMBER_PREDEFINED_COLUMNS }
| The SpectralWindow table colums with predefined meaning. More...
enum | PredefinedKeywords { UNDEFINED_KEYWORD , NUMBER_PREDEFINED_KEYWORDS }
| Keywords with a predefined meaning. More...

## Detailed Description

Enums for the MeasurementSet SPECTRAL_WINDOW table.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Etymology

This class contains the enums for the MeasurementSet SPECTRAL_WINDOW table

### Synopsis

This class does nothing. It is merely a container for the enumerations used by the MeasurementSet class. These enumerations define the standard columns and keywords.

### Example

See the documentation for MeasurementSet for examples on the use of these enumerations.

Definition at line 58 of file MSSpWindowEnums.h.

## Member Enumeration Documentation

## PredefinedColumns

enum casacore::MSSpectralWindowEnums::PredefinedColumns

The SpectralWindow table colums with predefined meaning.

The SPECTRAL_WINDOW_ID is the row number in the table.

Enumerator
UNDEFINED_COLUMN | "True" columns are defined. TYPE - UNIT - MEASURE
CHAN_FREQ | Center frequencies for each channel in the data matrix. Can therefore be non-linear to allow for e.g. AOS Double(NUM_CHAN) - Hz - FREQUENCY
CHAN_WIDTH | The channel width for each channel Double(NUM_CHAN) - Hz.
EFFECTIVE_BW | The effective noise bandwidth of each channel Double(NUM_CHAN) - Hz.
FLAG_ROW | Row flag Bool.
FREQ_GROUP | The frequency group Int.
FREQ_GROUP_NAME | The frequency group name String.
IF_CONV_CHAIN | The IF conversion chain (to distinguish the separate electronic paths for simultaneous observations at multiple frequencies). E.g., VLA A-C and B-D should always be numbered 0 and 1 resp. Int
MEAS_FREQ_REF | The frequency measure reference Int.
NAME | Spectral window name String.
NET_SIDEBAND | Net sideband for this spectral window (+/- 1) Int.
NUM_CHAN | Number of spectral channels Int.
REF_FREQUENCY | The reference frequency (as specified on-line). Double - Hz - FREQUENCY
RESOLUTION | The effective spectral resolution of each channel The Vector nature allows for variable-width channels. Double(NUM_CHAN) - Hz
TOTAL_BANDWIDTH | The total bandwidth (as specified on-line). Double - Hz
NUMBER_REQUIRED_COLUMNS | Not a column, but just an enum specifying the number of required columns.
ASSOC_NATURE | Nature of association with other spectral window id String(*).
ASSOC_SPW_ID | Associated spectral window id's, e.g. averaged spectra Int(*)
BBC_NO | Baseband converter number Int.
BBC_SIDEBAND | Baseband converter sideband Int.
DOPPLER_ID | Doppler id, points to DOPPLER table Int.
RECEIVER_ID | Receiver id, identifies receiver used for this spectral window. May point to optional RECEIVER table Int
NUMBER_PREDEFINED_COLUMNS | Not a column, but just a final enum specifying the number of enums.

Definition at line 62 of file MSSpWindowEnums.h.

## PredefinedKeywords

enum casacore::MSSpectralWindowEnums::PredefinedKeywords

Keywords with a predefined meaning.

Enumerator
UNDEFINED_KEYWORD | "True" keywords are defined.
NUMBER_PREDEFINED_KEYWORDS | Not a keyword, but just a final enum specifying the number of enums.

Definition at line 139 of file MSSpWindowEnums.h.

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSSpWindowEnums.h